Ghislain - it seems to work if you specify the option on the command line:

% zorba --option 
'{}enable=common-language' -q 
'jsoniq version "1.0"; { "foo" : "bar" }'
<.>:1,2: Zorba static warning [zwarn:ZWST0009]: feature not supported by the 
common language grammar: version declaration; raised at 
{ "foo" : "bar" }

It kind of makes sense to me that declaring the option inside the query itself 
doesn't retro-actively jump back and ensure that you didn't do anything bad 
before the option itself was parsed.
Your team Zorba Coders is subscribed to branch lp:zorba.

Mailing list:
Post to     :
Unsubscribe :
More help   :

Reply via email to